%define _disable_ld_no_undefined 1

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary: 	Free HDL simulator
Name: 		freehdl
Version: 	0.0.8
Release: 	%mkrel 13
License: 	GPLv2
Group: 		Sciences/Other
URL: 		http://freehdl.seul.org/
Source0: 	https://seul.org/~enaroska/%{name}-%{version}.tar.gz
# fix freehdl-config after .la removal
Patch0:		freehdl-0.0.8-freehdl-config.patch
# From Gentoo
Patch11:	freehdl-0.0.8-qa.patch
# From Debian
Patch21:	cpp-modern.patch
Patch22:	acl-NULL-check.patch
Patch23:	declerative_region.patch
Patch24:	gvhdl_tag_command.patch
Patch25:	freehdl-0.0.8-fix-building-with-gcc14.patch
BuildRequires:	flex
BuildRequires:	libtool

%description
A project to develop a free, open source, GPL'ed VHDL simulator for Linux.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Conflicts:	%{name} < 0.0.8

%description -n %{libname}
This package contains the shared libraries for %{name}

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.0.8

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -Wno-template-body"
autoreconf -vfi
%configure \
	--with-gnu-ld \
	--with-pic \
	--disable-static
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

# Create config for ldconfig
mkdir -p %{buildroot}/etc/ld.so.conf.d
echo "%{_libdir}/%{name}" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

%files
%doc AUTHORS HACKING NEWS README*
%{_bindir}/*
%{_datadir}/%{name}/
%{_infodir}/fire.info.*
%{_mandir}/man?/*

%files -n %{libname}
%config %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%{_libdir}/lib%{name}-*.so.%{major}{,.*}
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/libieee.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}-*.so
%{_libdir}/%{name}/libieee.so
%{_libdir}/pkgconfig/freehdl.pc


%changelog
* Tue May 13 2025 ns80 <ns80> 0.0.8-13.mga10
+ Revision: 2183191
- try to fix building with GCC 15

* Thu Oct 03 2024 ns80 <ns80> 0.0.8-12.mga10
+ Revision: 2102943
- fix building with GCC 14

* Thu Mar 17 2022 umeabot <umeabot> 0.0.8-11.mga9
+ Revision: 1797119
- Mageia 9 Mass Rebuild

* Sat Dec 26 2020 wally <wally> 0.0.8-10.mga8
+ Revision: 1663851
- add patches from Gentoo and Debian

* Thu Aug 20 2020 ovitters <ovitters> 0.0.8-9.mga8
+ Revision: 1616848
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Thu Feb 13 2020 umeabot <umeabot> 0.0.8-8.mga8
+ Revision: 1512330
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.0.8-7.mga7
+ Revision: 1297771
- Mageia 7 Mass Rebuild

* Fri Sep 29 2017 cjw <cjw> 0.0.8-6.mga7
+ Revision: 1161593
- patch1: fix build with gcc 7

* Tue Feb 02 2016 umeabot <umeabot> 0.0.8-5.mga6
+ Revision: 931731
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.8-4.mga5
+ Revision: 742872
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.8-3.mga5
+ Revision: 679339
- Mageia 5 Mass Rebuild

* Fri May 09 2014 wally <wally> 0.0.8-2.mga5
+ Revision: 621605
- fix freehdl-config script after .la removal (mga#13350)
- add ld.so.conf.d config file for libieee
- fix source tag

* Sun Mar 02 2014 wally <wally> 0.0.8-1.mga5
+ Revision: 598519
- new version 0.0.8
- libify pkg

* Fri Oct 18 2013 umeabot <umeabot> 0.0.7-3.mga4
+ Revision: 504636
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.0.7-2.mga3
+ Revision: 350863
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 dmorgan <dmorgan> 0.0.7-1.mga1
+ Revision: 98162
- Fix file list
- imported package freehdl


* Sun May 17 2009 trem <trem@mandriva.org> 0.0.7-1mdv2010.0
+ Revision: 376619
- update to 0.0.7

* Sun Aug 24 2008 trem <trem@mandriva.org> 0.0.6-1mdv2009.0
+ Revision: 275496
- disable underlinking check
- add bison, flex and libtool as Builrequires
- update to 0.0.6

* Mon Dec 31 2007 trem <trem@mandriva.org> 0.0.4-1mdv2008.1
+ Revision: 139712
- import freehdl


* Sun Dec 30 2007  <trem@mandriva.org> 0.0.4-1mdv2008.1
- Initial build.
